
Foreman - Bug #27710

foreman containers has non production required gems

08/26/2019 12:51 PM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Development tools   

Target version:    

Difficulty:  Fixed in Releases: 1.24.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7002

  

Description

by default the container build process copies all gems from the build container, end up having a larger container size.

Related issues:

Related to Foreman - Refactor #26741: Add a dockerfile for foreman Closed

Associated revisions

Revision 7fa47cf4 - 08/27/2019 04:26 PM - Ohad Levy

fixes #27710 - remove assets/console gems from image.

History

#1 - 08/26/2019 12:51 PM - Ohad Levy

- Related to Refactor #26741: Add a dockerfile for foreman added

#2 - 08/27/2019 01:55 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ohad Levy

- Pull request https://github.com/theforeman/foreman/pull/7002 added

#3 - 08/27/2019 04:26 PM - The Foreman Bot

- Fixed in Releases 1.24.0 added

#4 - 08/27/2019 05:01 PM - Ohad Levy

- Status changed from Ready For Testing to Closed

Applied in changeset 7fa47cf4c8d374f053b34e11ca109a12c594f877.

#5 - 10/24/2019 12:15 PM - Amit Upadhye

- Category set to Development tools
